routes/web.php
<?php

use App\Constants;
use App\Http\Controllers\Admin\FeedbackController;
use App\Http\Controllers\Admin\SearchController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\DashboardController;
use Illuminate\Support\Facades\Route;
use SebastianBergmann\CodeCoverage\Report\Html\Dashboard;

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');




Route::get('/login', [AuthController::class, 'index'])->name('login.index');
Route::post('/login', [AuthController::class, 'login'])->name('login');

Route::get('/register', [AuthController::class, 'register'])->name('register');
Route::post('/register', [AuthController::class, 'userRegister'])->name('userRegister');

Route::get('result/{username}', [SearchController::class, 'show' ])->name('searsh.show');
Route::post('search', [SearchController::class, 'search'])->name('search');

Route::post('feedbacks/store', [FeedbackController::class, 'store'])->name('feedbacks.store');

Route::group(['middleware' => ['auth']], function () {
    Route::post('/logout', [AuthController::class, 'logout'])->name('logout');

    //Admin
    Route::group(['middleware' => ['auth', 'roleAbilitiesMiddleware:' . Constants::Admin], 'prefix' => 'admin', 'as' => 'admin.'], function () {
        Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard.index');
        Route::resource('/searchs', SearchController::class )->except('show');
        Route::resource('/feedbacks', FeedbackController::class )->except('store');
        Route::resource('/users', UserController::class );
        Route::put('/Apikey-Update/{id}', [DashboardController::class, 'updateApiKey' ])->name('apikey.update');
    });
    
    //User
    Route::group(['middleware' => ['auth', 'roleAbilitiesMiddleware:' . Constants::User], 'prefix' => 'user', 'as' => 'user.'], function () {
    });
});

app/Models/Feedback.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Feedback extends Model
{
    use HasFactory;

    protected $table = 'feedbacks';
    
    protected $fillable = [
        'searche_id',
        'user_id',
        'feed',
    ]; 

    public function search(){
        return $this->belongsTo(Search::class, 'searche_id');
    }

    public function user(){
        return $this->belongsTo(User::class);
    }
}

app/Http/Controllers/Admin/FeedbackController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Feedback;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class FeedbackController extends Controller
{

    public function index()
    {
        $feedbacks = Feedback::with('search')->get();

        return view('CMS.Feedbacks.index', compact('feedbacks'));
    }


    public function destroy($id)
    {
        $result = Feedback::find($id);

        $result->delete();
        return 'Deleted Successfully';
    }

    public function store(Request $request)
    {
        if (Auth::check()) {
            $feed = Session::get('feed');
            if ($feed)
                $date = $feed;

            else
                $date = $request->all();

            $date['user_id'] = Auth::id();
            $result = Feedback::create($date);
            return redirect()->route('searsh.show', $result->search->username)->with('success', 'Thanks For Your Feedback');
        } else {
            Session::put('feed', $request->all());
            $feed = Session::get('feed');
            return redirect()->route('login.index')->with('success','Please login to continue');
        }
    }
}

resources/views/CMS/Feedbacks/index.blade.php
@extends('CMS.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Dashboard /</span> Feedbacks</h4>

        <!-- Basic Bootstrap Table -->

        <div class="card h-100">
            <div class="row">
                <div class="col-lg-10 col-12">
                    <h5 class="card-header">Feedbacks</h5>
                </div>
                <div class="col-lg-2 col-12 p-3">
                    {{-- <a href="{{ route('Searchs.create') }}" class="btn btn-primary btn-block w-100 ">
                        اضافة عضو
                    </a> --}}
                </div>
            </div>
            <div class="table-responsive text-nowrap h-100">

                <table class="table">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Name</th>
                            <th>Search Log</th>
                            <th>Feed</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody class="table-border-bottom-1 ">
                        @include('CMS.Feedbacks.table')
                    </tbody>
                </table>
            </div>
        </div>
        <hr class="my-5" />
    </div>
@endsection

resources/views/CMS/Feedbacks/show.blade.php
@extends('layouts.app')
@section('style')
@endsection
@section('content')

<style>
  .user_name{
    font: normal normal 600 37px/27px Segoe UI;
    color: rgb(130, 121, 121)
  }
  .details{
    font: normal normal 600 20px/20px Segoe UI;
    line-height: 40px;
  }
  .sec{
    background-color: azure;
    padding: 40px;
    border-top: solid rgb(255, 250, 250) 1px;
  }
</style>
<section class="container mt-5">
  <h1 class="user_name" > <i class="fa fa-user-circle" aria-hidden="true"></i>
    {{$result->username}} </h1>
  <h4 class="details mt-3">{{$result->description}}</h4>

  <div class="row mt-4">
    <div class="col-md-6">
        <h4 class="details"><i class="fa fa-user" aria-hidden="true"></i> Name : {{$result->name}}</h4>
        
        <h4 class="details"> <i class="fa fa-check" aria-hidden="true"></i>  Is Verified 
          @if ($result->is_verified == 0)
          : <span class="badge me-1 bg-label-danger"> Not Verified</span>
          @else
          : <span class="badge me-1 bg-label-success"> Verified</span> 
          @endif
        </h4>
      <h4 class="details"><i class="fa fa-location-arrow" aria-hidden="true"></i> Location  : {{$result->location}}</h4>

    </div>

    <div class="col-md-6">
      <h4 class="details"> <i class="fa fa-link" aria-hidden="true"></i> URL  : {{$result->url}}</h4>
      <h4 class="details"> <i class="fa fa-plus" aria-hidden="true"></i> Following  : {{$result->following}}</h4>
      <h4 class="details"> <i class="fa fa-address-book" aria-hidden="true"></i> Followers : {{$result->followers}}</h4>

    </div>
    <br>
  </div>

  
</section>

<div class="container-fluid mt-5 sec">
  <div class="container">
    <h1 class="user_name" style="color:#0088be;">Latest Tweets  <i class="fa-brands fa-twitter" ></i> </h1>
    @if ($result->tweets->count())
    @foreach ($result->tweets as $item)
      <div class="row mt-4">
        <div class="col-md-6">
          <h4 class="details">{{$item->name}}</h4>
          <h4 class="details"> {{$item->content}}</h4>  
        </div>
    
        <div class="col-md-6">
          <h4 class="details"><i class="fa fa-thumbs-up" aria-hidden="true" ></i> Likes  : {{$item->likes}}</h4>
          <h4 class="details"> <i class="fa-brands fa-twitter" ></i> Retweets : {{$item->retweets}}</h4>
          <h4 class="details"><i class="fa-solid fa-reply"></i> Replies  : {{$item->replies}}</h4>
        </div>
        <br>
        <hr class="mt-4">
      </div>
    @endforeach
    @else
    <h4 class="details">No Tweets Found</h4>
    @endif
    
    
  </div>
 
</div>
@endsection

resources/views/CMS/Feedbacks/table.blade.php
@foreach ($feedbacks as $feedback)
    <tr>
        <td>{{ $feedback->id }}</td>
        <td> <a href="{{ route('admin.users.show', $feedback->user->id) }}">{{ $feedback->user->full_name }}</a></td>
        <td>{{ $feedback->search->username}}</td>
        <td>{{ $feedback->feed }}</td>
        <td>
            <div class="dropdown">
                <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                    <i class="bx bx-dots-vertical-rounded"></i>
                </button>
                <div class="dropdown-menu">
                    <a class="dropdown-item" href="{{ route('searsh.show', $feedback->search->username) }}"><i
                            class="bx bx-edit-alt me-1"></i>
                        Show Search Log</a>
                    <a class="dropdown-item deleteItem" data-url='{{ route('admin.feedbacks.destroy', $feedback->id) }}'
                        href="#"><i class="bx bx-trash me-1"></i>
                        Delete</a>
                </div>
            </div>
        </td>
    </tr>
@endforeach